<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

# заголовок
$set['title']='Обменный пункт';

# шапка
include_once '../sys/inc/thead.php';
title();
err();
aut();

# существует сесия - продолжим
if (isset($user)){

$action=htmlspecialchars(trim($_GET['action']));

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_vertuhai.gif" alt="*" /></div>';

# блоки
switch($_GET['action']){

#********************* Главный блок *****************#
default:

# текст
echo '<div class="zona_menu">
Здарова '.htmlspecialchars($user['nick']).' !<br/>
Слышал у тебя осталось много балов на воле ?<br/>
Так вот ... На зоне без бабла долго не протянешь .<br/>
Давай обменивай балы сайта на <img src="img/icon/icon_header_staff2.png" alt="*" /> баксы зоны .<br/> 
Курс обмена 1 бал на 5 баксов .<br/>
У тебя есть '.(int)$user['balls'].' балов .
</div>';

# выбор действий
echo '<div class="zona_aut"> Сколько меняем :</div>';
echo '<div class="zona_rekl">
<form action="punkt.php?action=go" method="post">
Сколько балов хотите поменять ?<br/>
<input name="money" type="text" value=""/><br/>
<input type="submit" value="Менять"/>
</form></div>';

echo '<div class="zona_rekl"><img src="img/icon/icon_a_experience.png" alt="*" /> <a href="punkt.php?action=baks"> Купит балы за баксы</a></div>';

# конец
break;



#********************* обмен *****************#
case 'go':

# профильтруем
$money=(int)$_POST['money'];

# параметр обмена пустои 
if(!$money || $money<1){
echo '<div class="zona_menu">Ты чё тупой ? <br/>Чё ты мне здесь суешь ?</div>';
break;
}

# соответствие
if($user['balls']<$money){
echo '<div class="zona_menu">А в кошельке то дырочьки !<br/> У тебя нет столько балов для обмена .</div>';
break;
}

# курс обмена
$baks=$money*5;

# ошибок нет - меняем
mysql_query("UPDATE `user` SET `zona_balls`=`zona_balls`+'$baks',`balls`=`balls`-'$money' WHERE `id`='".$user['id']."'");

# оповестим
echo '<div class="zona_menu">Успешно блеадь !<br/> К твоей нычьке добавлено <img src="img/icon/icon_header_staff2.png" alt="*" /> '.$baks.' баксов .</div>';

# конец
break;



#********************* Покупка баксов *****************#
case 'baks':

# текст
echo '<div class="zona_menu">
'.htmlspecialchars($user['nick']).' если сорвал немного баксов в игре ты можешь обменять их обратно на балы сайта .<br/>
Чего стоишь ? Сколько будем обменивать ?<br/>
У тебя есть <img src="img/icon/icon_header_staff2.png" alt="*" /> '.(int)$user['zona_balls'].' баксов .<br/>
Курс обмена 5 баксов за 1 бал .<br/>
</div>';

# выбор действий
echo '<div class="zona_aut"> Сколько меняем :</div>';
echo '<div class="zona_rekl">
<form action="punkt.php?action=go_baks" method="post">
Сколько балов хотите обменять ?<br/>
<input name="money" type="text" value=""/><br/>
<input type="submit" value="Менять"/>
</form></div>';

# конец
break;

#********************* обмен *****************#
case 'go_baks':

# профильтруем
$money=(int)$_POST['money']*5;

# параметр обмена пустои 
if(!$money || $money<1){
echo '<div class="zona_menu">Ты чё тупой ? <br/>Чё ты мне здесь суешь херню всякую ?</div>';
break;
}

# соответствие
if($user['zona_balls']<$money){
echo '<div class="zona_menu">А в кошельке то дырочьки !<br/> У тебя нет столько баксов для обмена .</div>';
break;
}

# гамнокода немного
$ball=$money / 5;

# ошибок нет - меняем
mysql_query("UPDATE `user` SET `balls`=`balls`+'$ball',`zona_balls`=`zona_balls`-'$money' WHERE `id`='".$user['id']."'");

# оповестим
echo '<div class="zona_menu">Успешно блеадь !<br/> К твоему счету на сайте добавлено <img src="img/icon/icon_header_staff2.png" alt="*" /> '.$ball.' балов .</div>';

# конец
break;

}


echo '<div class="zona_rekl"><img src="img/icon/icon_a_experience.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
}

# закроем от гостей
else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}

include_once '../sys/inc/tfoot.php';
?>
